# $Revision: 1.22 $, $Date: 2011/10/11 08:12:16 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Rijndael
Summary:	Crypt::Rijndael Perl module - Rijndael encryption algorithm
Summary(pl.UTF-8):	Moduł Perla Crypt::Rijndael - algorytm szyfrowania Rijndael
Name:		perl-Crypt-Rijndael
Version:	1.07_02
Release:	4
# included COPYING contains LGPL v2, but README and module source says GPL
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	61b2ebf10194b1f94f14d999cf68f5f9
Patch0:		%{name}-types.patch
URL:		http://search.cpan.org/dist/Crypt-Rijndael/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::Manifest) >= 1.14
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is Crypt::CBC compliant Rijndael cipher implementation.
Rijndael has just been selected as the Advanced Encryption Standard.

%description -l pl.UTF-8
Ten moduł jest zgodną z Crypt::CBC implementacją szyfru Rijndael.
Rijndael został niedawno wybrany jako standard zaawansowanego
szyfrowania (AES).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes NEWS README
%{perl_vendorarch}/Crypt/*.pm
%dir %{perl_vendorarch}/auto/Crypt/Rijndael
%{perl_vendorarch}/auto/Crypt/Rijndael/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Rijndael/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Rijndael.spec,v $
Revision 1.22  2011/10/11 08:12:16  lisu
- rel 4

Revision 1.21  2010/11/12 23:38:03  pawelz
- release 3

Revision 1.20  2010/06/06 08:33:32  arekm
- release 2

Revision 1.19  2009/11/13 17:06:40  amateja
- fixed Source0: URL

Revision 1.18  2009/06/18 08:07:23  amateja
- updated to 1.07_02

Revision 1.17  2009/03/14 11:36:38  hawk
- release 6

Revision 1.16  2008/03/15 20:33:20  qboosh
- generic URL
- License seems to be GPL

Revision 1.15  2008-02-10 12:05:07  arekm
- rel 5

Revision 1.14  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.13  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.11  2004/11/03 22:30:14  paladine
- formatting

Revision 1.10  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.9  2004/04/25 17:09:13  qboosh
- added types patch (fixes work on 64-bit archs); release 4

Revision 1.8  2004/04/25 15:14:02  ankry
- tests on bcond, rel. 3 for Ac

Revision 1.7  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 18:46:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:29:42  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/31 20:55:52  qboosh
- new
